Bug 178 - Array jobs should be allowed to have single job dependencies.
: Array jobs should be allowed to have single job dependencies.
Status: RESOLVED FIXED
Product: TORQUE
pbs_server
: 4.1.*
: PC Linux
: P2 enhancement
Assigned To: David Beer
:
:
: 160
  Show dependency treegraph
 
Reported: 2012-04-23 18:52 MDT by rhys.hill
Modified: 2013-07-11 13:59 MDT (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description rhys.hill 2012-04-23 18:52:58 MDT
At present, torque 4.x (at least) requires that array jobs have array
dependencies, which seems an artificial restriction. We commonly use torque for
map/reduce type operations, where you may have a large array of jobs to
preprocess some data, then a single followup job which gathers the data
together and applies some algorithm to it.
Comment 1 David Beer 2013-04-05 09:43:53 MDT
This has now been fixed for 4.1.6.
Comment 2 Jordan Hayes 2013-07-11 12:19:38 MDT
I am experiencing a similar bug in 4.2.2

Submit jobs:
    STEP1=`qsub A.sh`
    STEP2=`qsub -t 1-10 -W depend=afterok:$STEP1 B.sh`

Values of each STEP are:
    Step 1: 448.torque01.int.bioinfo.ucr.edu
    Step 2: 449[].torque01.int.bioinfo.ucr.edu

When job A completes, I see this error in the syslog:
    LOG_ERROR::Invalid request (15004) in send_depend_req, Unable to perform
dependency with job 449[].torque01.int.bioinfo.ucr.edu
...and job B is stuck in the queue with a held state.

Single job waiting for single job, array job waiting for array job, and single
job waiting for array job all complete normally.
This error occurs only when an array job is waiting for a single job to
complete.

Any help is appreciated.
Thanks
Comment 3 Jordan Hayes 2013-07-11 13:59:43 MDT
This seems to have been fixed in the later releases, 4.2.3+
https://github.com/adaptivecomputing/torque/commit/5ced418bcefc4affbb0513fbbcb55aaae28d9c7b